package net.northking.cctp.maven.analyse.entity;

/**
 * 主键对象
 *
 * @author 谢秀松
 * @since 1.0
 */
public final class PrimaryKeyRef
{
  /**
   * 主键名称
   */
  private String pkName;

  /**
   * 列名
   */
  private String columnName;

  /**
   * 数据库表字段对象
   */
  private ColumnRef columnRef;


  /**
   * 获取 pkName
   *
   * @return the value of pkName
   */
  public String getPkName()
  {
    return pkName;
  }

  /**
   * 设置 pkName
   *
   * @param pkName pkName
   */
  public void setPkName(final String pkName)
  {
    this.pkName = pkName;
  }

  /**
   * 获取 columnName
   *
   * @return the value of columnName
   */
  public String getColumnName()
  {
    return columnName;
  }

  /**
   * 设置 columnName
   *
   * @param columnName columnName
   */
  public void setColumnName(final String columnName)
  {
    this.columnName = columnName;
  }

  /**
   * 获取 columnRef
   *
   * @return the value of columnRef
   */
  public ColumnRef getColumnRef()
  {
    return columnRef;
  }

  /**
   * 设置 columnRef
   *
   * @param columnRef columnRef
   */
  public void setColumnRef(final ColumnRef columnRef)
  {
    this.columnRef = columnRef;
  }
}
